<?php require_once('Connections/cn.php'); ?>
<?php require_once('Connections/conn.php'); ?>
<?php session_start();

// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="10" && $tipo_usuario!="1" ) {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
        exit;
  }   

// Captura las variables que vienen de cargar1.php.
 
  $periodo=$_GET["periodo"];
  $carrera=$_GET["carrera"];
  $pensum=$_GET["pensum"];
  $mencion=$_GET["mencion"];
  $semestre=$_GET["semestre"];
  $seccion=$_GET["seccion"];
  $materia=$_GET["materia"];
  $valoracion=$_GET["valoracion"];
  // echo $mencion;

 if($mencion=="CIU" or $mencion=="CG") $mencion="COMUN";  

  $veces=$_GET["veces"];

  if($veces!=2) $_SESSION["logged_in"] = false;
  
  $sql_certifica = "SELECT * FROM certificacion WHERE lapso='$periodo' and carrera='$carrera' and pensum='$pensum' and mencion='$mencion' and semestre='$semestre' and seccion='$seccion' and materia='$materia'";
   $rs_certifica = mysql_query($sql_certifica, $conn) or die(mysql_error());
   $row_periodo = mysql_fetch_assoc($rs_certifica);
   $totalRows_certifica = mysql_num_rows($rs_certifica);
   if($totalRows_certifica>0){ 
   ?>
	 <script type="text/javascript">
	    msj="Lo sentimos.  Acta ya fue certificada."
		alert(msj);
	 </script>
    <?php
	exit;
	}

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
 
?>

<html>
<head>
<title>sadce -- historico_notas</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style1 {color: #FF0000}
</style>
</head>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Acta en Hist&oacute;rico</h2></td></tr></table>
<?php
//if($veces!='2'){
  if (!login()) exit;
  // }
  
?>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  

  $id_mencion=$mencion;
 
 
  
  $nivel='CP';	
  if($id_mencion=='CIU') {
     $nivel='CIU';
	 $id_mencion='COMUN';
  }
  if($id_mencion=='CG'){
     $nivel='CG';
     $id_mencion='COMUN';
  }	

  $nombre_mencion='COMÚN';
  if($id_mencion!='COMUN'){
	 $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$id_mencion' and id_carrera='$carrera'";
	 $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	 $row_mencion = mysql_fetch_assoc($rs_mencion);
	 $nombre_mencion=$row_mencion['nombre_mencion'];
	}
   
  
   $nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
   if($nivel=='CG') $nombre_nivel='COMPONENTE GENERAL';
   if($nivel=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	 
   $query_periodo = "SELECT codigo,mes_inicio,mes_fin,annio FROM periodos WHERE id_periodo='$periodo'";
   $rs_periodo = mysql_query($query_periodo, $cn) or die(mysql_error());
   $row_periodo = mysql_fetch_assoc($rs_periodo);
   $totalRows_periodo = mysql_num_rows($rs_periodo);
   $cod_periodo=$row_periodo["codigo"];
   
   // Busca el profesor en caso de desconocerlo.

	   $query_docente = "Select * from historico_notas WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' ";
	   $rs_docente = mysql_query($query_docente, $conn) or die(mysql_error());
	   $row_docente = mysql_fetch_assoc($rs_docente);
       $profesor=$row_docente["id_docente"];
	   $turno=$row_docente["turno"];

 if($turno=="1") $nombre_turno="MATUTINO";
  if($turno=="2") $nombre_turno="VESPERTINO";
  if($turno=="4") $nombre_turno="NOCTURNO";	
  
  switch ($sql) {
    
    case "update":
      sql_update($recid);
      break;
	  
	case "insert":
      sql_insert();
      break;  
	  
	case "insert1":
      sql_insert1();
      break;    
	  
	  case "delete":
      sql_delete($recid);
      break;
   
	  }

  switch ($a) {
    case "add":
      addrec();
      break;
	
	 case "add1":
      addrec1();
      break; 
	   
    case "view":
      viewrec($recid,  $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break;
	 case "edit":
      viewrec($recid,  $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break;
	 case "del":
      deleterec($recid, $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break; 
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select()
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $profesor;
  global $veces;

 
  //Busco el nombre de la materia


mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

$query_docente = "Select * from historico_notas WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' ";
	   $rs_docente = mysql_query($query_docente, $conn) or die(mysql_error());
	   $row_docente = mysql_fetch_assoc($rs_docente);
       $profesor=$row_docente["id_docente"];
	   
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes); 

/*$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede); */

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);
$nombre_carrera=$row_carrera["nombre_carrera"];

$query_periodo = "SELECT codigo, mes_inicio, mes_fin, annio FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 
    
 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  

  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera ?>:<?php echo $nombre_carrera; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;
   <?php echo $materia?>:<?php echo $row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;&nbsp;&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:&nbsp;&nbsp;&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;</b> <?php echo $row_periodo["mes_inicio"]; ?>-<?php echo $row_periodo["mes_fin"]; ?>&nbsp;<?php echo $row_periodo["annio"]; ?>&nbsp;&nbsp;&nbsp;</td>
</tr>
<tr>
<td colspan="2"><b>DOCENTE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
<tr>
<td  colspan="2"><b>N&Uacute;MERO DE INSCRITOS:</b> <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1">
<?php showpagenav($page, $pagecount, $profesor,$periodo,$seccion,$sede,$materia,$carrera); ?>

<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>

<td align="center" class="hr">Editar</td>
<td align="center" class="hr">Excluir</td>
<td align="center" class="hr">N&deg;</td>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">C&eacute;dula</a></td>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<?php
if($valoracion=="CUANTITATIVA"){
?>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Def.") ?></a></td>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Rec.") ?></a></td>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Extra.") ?></a></td>

<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo 'Nota'.'<br>'.'Final' ?></a></td>
<?php
}
else{
?>
<td align="center" class="hr"><a class="hr" href="modificar_acta.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo 'Calificación'.'<br>'.'Obtenida' ?></a></td>
<?php }
?>
</tr>
<?php
  $n=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$nota=$row["nota"];
	
	
?>
<tr>

<td align="center" class="<?php echo $style ?>"><a href="modificar_acta.php?a=edit&recid=<?php echo $i ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><img src="imagenes/edit.gif" border="0" ></a></td>

<td align="center" class="<?php echo $style ?>"><a href="modificar_acta.php?a=del&recid=<?php echo $i ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><img src="imagenes/delete.png" border="0" ></a></td>

<td class="<?php echo $style ?>" align="right"><?php echo $n; ?></td
><td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<?php
if($valoracion=="CUANTITATIVA"){
?>
<td class="<?php echo $style ?>" align="right"><?php echo $row["definitiva"]; ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo $row["recuperacion"]; ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo $row["extraordinaria"]; ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo $row["nota"]; ?></td>
<?php
}
else{
?>
<td class="<?php echo $style ?>" align="left"><?php echo $row["cualitativa"]; ?></td>
<?php
}
?>
</tr>
<?php
  $n++;
  }
  mysql_free_result($res);
?>
</table>
</form>
<br>

<?php } ?>

<?php function login()
{
  global $_POST;
  global $_SESSION;
  global $_GET;


  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  
  global $username;


  
  
  if (isset($_GET["a"]) && ($_GET["a"] == 'logout')) $_SESSION["logged_in"] = false;
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  if (!$_SESSION["logged_in"]) {
    $veces=2;
    $login = $username;
    $password = "";
    if (isset($_POST["login"])) $login = @$_POST["login"];
    if (isset($_POST["password"])) $password = @$_POST["password"];

    if (($login != "") && ($password != "")) {
      $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
      mysql_select_db("siga_pregrado");
      $sql = "select `psw_notas` from `usuarios` where `username` = '" .$login ."'";
      $res = mysql_query($sql, $conn) or die(mysql_error());
      $row = mysql_fetch_assoc($res) or $row = array(0 => "");;
      if (isset($row)) reset($row);

      if (isset($password) && ($password == trim(current($row)))) {
        $_SESSION["logged_in"] = true;
    }
    else {
?>
<p><b><font color="-1">Disculpe, la combinaci&oacute;n de usuario/contrase&ntilde;a  es incorrecta.</font></b></p>
<?php } } }if (isset($_SESSION["logged_in"]) && (!$_SESSION["logged_in"])) { ?>
<form action="modificar_acta.php?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post">  
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td>Nombre de Usuario</td>
<td><input disabled="disabled" type="text" name="login" value="<?php echo $login ?>"></td>
</tr>
<tr>
<td>Contrase&ntilde;a</td>
<td><input type="password" name="password" value="<?php echo $password ?>"></td>
</tr>
<tr>
<td><input type="submit" name="action" value="Acceder"></td>
</tr>
</table>
</form>
<?php
  }
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  return $_SESSION["logged_in"];
} ?>


<?php function showrow($row, $recid)
  {
   global $conn;
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;
  
  	$nota=$row["nota"];
	if($row["valoracion"]=="CUALITATIVA"){
	   $nota="APROBADA";
	   if($row["nota"]==1)$nota="REPROBADA";
	}
	
  $id_carrera=$row['id_carrera'];
  mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

$query_docente = "Select * from historico_notas WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' ";
	   $rs_docente = mysql_query($query_docente, $conn) or die(mysql_error());
	   $row_docente = mysql_fetch_assoc($rs_docente);
       $profesor=$row_docente["id_docente"];
	   
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="1">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $materia?>:<?php echo $row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;<b>DOCENTE:&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
</table>
<hr size="1" noshade>
  

<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Definitiva")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["definitiva"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Recuperación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["recuperacion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Extraordinaria")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["extraordinaria"]) ?></td>
</tr>
<tr>
<td class="hr">Nota Final&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["nota"]) ?></td>
</tr>


</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;
  
  	$nota=$row["nota"];
	
	
  $id_carrera=$row['id_carrera'];
  mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

$query_docente = "Select * from historico_notas WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' ";
	   $rs_docente = mysql_query($query_docente, $conn) or die(mysql_error());
	   $row_docente = mysql_fetch_assoc($rs_docente);
       $profesor=$row_docente["id_docente"];
	   
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="1">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $materia?>:<?php echo $row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;<b>DOCENTE:&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
</table>
<hr size="1" noshade>
<table class="tbl" border="0" cellspacing="1" cellpadding="2" width="50%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="docid" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="apellidos" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="nombres" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>"></td>
</tr>
<?php
if($valoracion=="CUANTITATIVA"){?>

<tr>
<td class="hr"><?php echo htmlspecialchars("Definitiva")."&nbsp;" ?></td>
<td class="dr">
<input  tabindex="2" name="definitiva" id="definitiva" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["definitiva"])) ?>" onKeyPress="return soloNum(event)" maxlength="2" size="1" >
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Recuperación")."&nbsp;" ?></td>
<td class="dr">
<input  tabindex="2" name="recuperacion" id="recuperacion" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["recuperacion"])) ?>" onKeyPress="return soloNum(event)" maxlength="2" size="1" >
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Extraordinaria")."&nbsp;" ?></td>
<td class="dr">
<input  tabindex="2" name="extraordinaria" id="extraordinaria" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["extraordinaria"])) ?>" onKeyPress="return soloNum(event)" maxlength="2" size="1" >
</td>
</tr>
<?php }
else{ ?>
   <tr>
<td class="hr"><?php echo htmlspecialchars("Calificación")."&nbsp;" ?></td>
<td class="dr">
   <select name="nota" id="nota" >
			<option  value="<?php echo $row["cualitativa"]; ?>"><?php echo $row["cualitativa"]; ?></option>
			<option  value="APROBADA">APROBADA</option>
			<option  value="REPROBADA">REPROBADA</option>
			<option  value="INASISTENTE">INASISTENTE</option>
         </select>
<?php
} ?>

</td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  global $veces;
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
 // $cn=connect();
  
$count = sql_getrecordcount();
$id_carrera=$row['id_carrera'];
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
/* Muestra todos alumnos de la carrera seleccionda por el usuario. */
if($mencion=="CG"){
$query_rstAlumnos = "Select
carreras_alumno.id_alumno,
alumnos.apellidos,
alumnos.nombres,
alumnos.cedula
From
carreras_alumno
Inner Join alumnos ON alumnos.id_alumno = carreras_alumno.id_alumno
Where
carreras_alumno.id_carrera = '$carrera' and
carreras_alumno.pensum = '$pensum'
ORDER BY apellidos,nombres";
}
else{
$query_rstAlumnos = "Select
carreras_alumno.id_alumno,
alumnos.apellidos,
alumnos.nombres,
alumnos.cedula
From
carreras_alumno
Inner Join alumnos ON alumnos.id_alumno = carreras_alumno.id_alumno
Where
carreras_alumno.id_carrera = '$carrera' and
carreras_alumno.pensum = '$pensum' and
carreras_alumno.mencion = '$mencion'
ORDER BY apellidos,nombres";
}
// echo $query_rstAlumnos;
//SELECT alumnos.apellidos, alumnos.nombres, alumnos.id_alumno FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;
  <?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $row_rs_materias['nombre_materia'].' ('.$materia.')'; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;&nbsp;&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:&nbsp;&nbsp;&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;&nbsp;&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
</tr>
<tr>
<td colspan="2"><b>DOCENTE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
</table>
<hr size="1" noshade>

<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr">

<select tabindex="1" id="id_alumno" name="id_alumno" onChange="verificarHistorico(this.value, '<?php echo $carrera ?>', '<?php echo $materia ?>','<?php echo $profesor ?>', '<?php echo $seccion ?>','<?php echo $sede ?>', '<?php echo $cod_periodo ?>')">
   <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option  value="<?php echo $row_rstAlumnos['id_alumno']?>"><?php echo $row_rstAlumnos['apellidos']?>, <?php echo $row_rstAlumnos['nombres']?>&nbsp;(<?php echo number_format(($row_rstAlumnos['cedula']),0,',','.')?>)</option>
  <?php
} while ($row_rstAlumnos = mysql_fetch_assoc($rstAlumnos));
  $rows = mysql_num_rows($rstAlumnos);
  if($rows > 0) {
      mysql_data_seek($rstAlumnos, 0);
	  $row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
  }
?></select>
</td>
<iframe name="frameHistorico" id="frameHistorico" with="0" height="0" frameborder="0" ></iframe>

</tr>


</table>
<?php
mysql_free_result($rstAlumnos);
 } ?>



<?php function showrowadd1($row, $iseditmode)
  {
  global $conn;
  
  global $veces;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
 // $cn=connect();
  
$count = sql_getrecordcount();
$id_carrera=$row['id_carrera'];
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
/* Muestra todos alumnos de la carrera seleccionda por el usuario. */
$query_rstAlumnos = "Select
cedula,
id_docente,
apellidos,
nombres
From
docentes
ORDER BY apellidos,nombres";
//SELECT alumnos.apellidos, alumnos.nombres, alumnos.id_alumno FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo, mes_inicio, mes_fin, annio FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;
  <?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $row_rs_materias['nombre_materia'].' ('.$materia.')'; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCION:&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_periodo["mes_inicio"]; ?>-<?php echo $row_periodo["mes_fin"]; ?>&nbsp;(<?php echo $row_periodo["annio"]; ?>)</td>
</tr>
<tr>
<td align="right" colspan="2">N&uacute;mero de Inscritos: <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>

<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="80%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Docente a Asignar")."&nbsp;" ?></td>
<td class="dr">

<select  id="id_docente" name="id_docente" >
   <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option  value="<?php echo $row_rstAlumnos['id_docente']?>"><?php echo $row_rstAlumnos['apellidos']?>, <?php echo $row_rstAlumnos['nombres']?>&nbsp;(<?php echo number_format(($row_rstAlumnos['cedula']),0,',','.')?>)</option>
  <?php
} while ($row_rstAlumnos = mysql_fetch_assoc($rstAlumnos));
  $rows = mysql_num_rows($rstAlumnos);
  if($rows > 0) {
      mysql_data_seek($rstAlumnos, 0);
	  $row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
  }
?></select>
</td>

</tr>

</table>
<?php
mysql_free_result($rstAlumnos);
 } ?>



<?php function showpagenav($page, $pagecount)
{
 global $conn;
 
 global $veces;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;

 // $cn=connect();
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
  
/* Muestra todos alumnos de la carrera seleccionda por el usuario. */
$query_rstAlumnos = "Select
carreras_alumno.id_alumno,
alumnos.apellidos,
alumnos.nombres
From
carreras_alumno
Inner Join alumnos ON alumnos.id_alumno = carreras_alumno.id_alumno
Where
carreras_alumno.id_carrera = '$carrera' ORDER BY apellidos,nombres";
//SELECT alumnos.apellidos, alumnos.nombres, alumnos.id_alumno FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"]; 

?>
<table class="tbl" border="0" cellspacing="0" cellpadding="5" width="70%">
<tr>
<td align="left">
<a href="modificar_acta.php?a=add&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Agregar Estudiante</a>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="modificar_acta.php?a=add1&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Asignar Docente</a>
</td>
</tr>

</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
global $veces;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_acta.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&pensum=<?php echo $pensum ?>&veces=<?php echo $veces ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="modificar_acta.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&pensum=<?php echo $pensum ?>&veces=<?php echo $veces ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="modificar_acta.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&pensum=<?php echo $pensum ?>&veces=<?php echo $veces ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;
  
?>
<table class="bd" width="100%"><tr><td class="hr">Agregando Estudiante al Acta</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_acta.php?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="modificar_acta.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos1()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_alumno" => "",
  "cedula" => "",
  "id_carrera" => "",
  "id_materia" => "",
  "id_docente" => "",
  "definitiva" => "",
  "recuperacion" => "",
  "extraordinaria" => "",
  "nota" => "",
  "aprobacion" => "",
  "cualitativa" => "",
  "seccion" => "",
  "periodo" => "",
  "sede" => "",
  "annio" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Agregar"></p>
</form>
<?php } ?>

<?php function addrec1()
{
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;

?>
<table class="bd" width="100%"><tr><td class="hr">Asignando Docente al Acta</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_acta.php?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="modificar_acta.php?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos1()">
<p><input type="hidden" name="sql" value="insert1"></p>

<?php
$row = array(
  "id_alumno" => "",
  "cedula" => "",
  "id_carrera" => "",
  "id_materia" => "",
  "id_docente" => "",
  "nota" => "",
  "aprobacion" => "",
  "seccion" => "",
  "periodo" => "",
  "sede" => "",
  "annio" => "");
showrowadd1($row, false);
?>
<p><input type="submit" name="action" value="Asignar"></p>
</form>
<?php } ?>



<?php function viewrec($recid)
{
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;

?>
<table class="bd" width="100%"><tr><td class="hr">Modificando Calificaci&oacute;n</td></tr></table>
<?php
   
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>

<form name="form1" id="form1" enctype="multipart/form-data" action="modificar_acta.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&pensum=<?php echo $pensum ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos()">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $periodo; ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Modificar Calificación"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $veces;
?>
<table class="bd" width="100%"><tr><td class="hr">Excluyendo Estudiante</td></tr></table>
<?php
   /* echo 'RECID: '.$recid.'<br>';
   echo 'PROFESOR: '.$profesor.'<br>';
   echo 'PERIODO: '.$cod_periodo.'<br>';
   echo 'SECCION: '.$seccion.'<br>';
   echo 'SEDE: '.$sede.'<br>';
   echo 'MATERIA: '.$materia.'<br>';
   echo 'CARRERA: '.$carrera.'<br>'; */
  
  $res = sql_select();
  $count = sql_getrecordcount();

  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>

<form action="modificar_acta.php?periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&pensum=<?php echo $pensum ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xnota" value="<?php echo $row["nota"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["periodo"] ?>">
<input type="hidden" name="yid_periodo" value="<?php echo $cod_periodo ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xannio" value="<?php echo $row["annio"] ?>">
<input type="hidden" name="xaprobacion" value="<?php echo $row["aprobacion"] ?>">
<input type="hidden" name="xacta" value="<?php echo $row["acta"] ?>">
<input type="hidden" name="xfecha" value="<?php echo $row["fecha"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>


<?php function connect()
{
 /*  $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("siga_postgrado");
  mysql_query ("SET NAMES 'utf8'");
  return $conn; */
}


function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $turno;
  
  
  
  $sql = "SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.nota, historico_notas.id_alumno,  historico_notas.id_docente, historico_notas.valoracion, historico_notas.cualitativa, historico_notas.definitiva, historico_notas.recuperacion, historico_notas.extraordinaria, historico_notas.cualitativa,historico_notas.id FROM alumnos,historico_notas where alumnos.id_alumno=historico_notas.id_alumno and historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.mencion='$mencion' and historico_notas.id_periodo='$periodo' and historico_notas.pensum='$pensum' order by alumnos.apellidos, alumnos.nombres";
// echo $sql;
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  global $turno;
  
$sql = "SELECT COUNT(*) FROM historico_notas where historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.mencion='$mencion'  and historico_notas.id_periodo='$periodo' and historico_notas.pensum='$pensum'";


  //$sql = "SELECT COUNT(*) FROM (SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.nota, historico_notas.id_docente,historico_notas.valoracion,historico_notas.cualitativa, historico_notas.definitiva, historico_notas.recuperacion, historico_notas.extraordinaria FROM alumnos,historico_notas) subq WHERE alumnos.id_alumno=historico_notas.id_alumno and historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' order by alumnos.apellidos, alumnos.nombres";
  
  $res = mysql_query($sql, $conn) or die(mysql_error());

  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} ?>

<?php
function sql_update($recid)
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  
  
  $definitiva=@$_POST["definitiva"];
  $recuperacion=@$_POST["recuperacion"];
  $extraordinaria=@$_POST["extraordinaria"];
  
  $nota=@$_POST["definitiva"];
  if($recuperacion>$nota) $nota=$recuperacion;
  if($extraordinaria>$nota) $nota=$extraordinaria;
  
  $id_alumno=@$_POST["xid_alumno"];
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  
  /*echo 'ALUMNO: '.$id_alumno.'<BR>';
  echo 'PERIODO: '.$id_periodo.'<BR>';
  echo 'CARRERA: '.$id_carrera.'<BR>';
  echo 'MATERIA: '.$id_materia.'<BR>';*/
  
  if($valoracion=="CUALITATIVA"){
     $cualitativa=@$_POST["nota"];;
	 $definitiva=0;
	 $recuperacion=0;
	 $extraordinaria=0;
	 $nota=0;
  }
  else{
     if($nota<10) $cualitativa="REPROBADA";
	 if($nota>=10) $cualitativa="APROBADA";
  }	 	  
  
  $sql = "update `historico_notas` set `definitiva`='$definitiva', `recuperacion`='$recuperacion', `extraordinaria`='$extraordinaria', `nota` = '$nota', `valoracion` = '$valoracion', `cualitativa` = '$cualitativa' WHERE id_alumno='$id_alumno' AND historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo'";
  mysql_query($sql, $conn) or die(mysql_error());
  
    // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar nota de acta";
  $script="modificar_acta.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
 
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  
 
   // Conecta la Base de Datos. 
  // $conn=connect();
  mysql_select_db($database_conn, $conn);
  
  $query_docente = "Select * from historico_notas WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' ";
	   $rs_docente = mysql_query($query_docente, $conn) or die(mysql_error());
	   $row_docente = mysql_fetch_assoc($rs_docente);
       $profesor=$row_docente["id_docente"];
  
  // Fecha en la cual se registra la nota.
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha_hoy = cambioFecha($fecha2);   
	$fecha_ingreso=join ("-",(array_reverse(explode("-",$fecha_hoy))));
  
  $definitiva=0;
  $recuperacion=0;
  $extraordinaria=0;
  
  $nota=@$_POST["definitiva"];
  if($recuperacion>$nota) $nota=$recuperacion;
  if($extraordinaria>$nota) $nota=$extraordinaria;
  
  $nombre_mencion=$mencion;
  if($semestre<=3){
     $nombre_mencion="COMUN";
	 $nombre_nivel="CG";
   }
  else{
     $nombre_nivel="CP";
  }
  
  if($semestre==0) $nombre_nivel="CIU";
	 
  $id_alumno=@$_POST["id_alumno"];
  
  
  $query_alumnos = "SELECT cedula,apellidos,nombres FROM alumnos WHERE id_alumno='$id_alumno'";
  $rs_alumnos = mysql_query($query_alumnos, $conn) or die(mysql_error());
  $row_alumnos = mysql_fetch_assoc($rs_alumnos);
  $totalRows_alumnos = mysql_num_rows($rs_alumnos);
  $cedula=$row_alumnos["cedula"];
  $participante=$row_alumnos["apellidos"].', '.$row_alumnos["nombres"];
  
  $query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
  $rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
  $row_carrera = mysql_fetch_assoc($rs_carrera);
  $totalRows_carrera = mysql_num_rows($rs_carrera);
  $nom_carrera=$row_carrera["nombre_carrera"];
 
  
  $query_periodo = "SELECT annio,codigo FROM periodos WHERE id_periodo='$periodo'";
  $rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
  $row_periodo = mysql_fetch_assoc($rs_periodo);
  $totalRows_periodo = mysql_num_rows($rs_periodo);
  $annio=$row_periodo["annio"];
  
 
  if($valoracion=="CUALITATIVA"){
     $cualitativa=@$_POST["nota"];;
	 $definitiva=0;
	 $recuperacion=0;
	 $extraordinaria=0;
	 $nota=0;
  }
  else{
     if($nota<10) $cualitativa="REPROBADA";
	 if($nota>=10) $cualitativa="APROBADA";
  }	 	  
  
  $sql = "insert into `historico_notas` (`id_alumno`, `id_carrera`, `mencion`, `nivel`, `pensum`, `id_materia`,  `semestre`, `id_docente`, `definitiva`, `recuperacion`, `extraordinaria`, `nota`, `id_seccion`, `id_periodo`, `sede`, `annio`,`fecha`, `aprobacion`, `valoracion`, `cualitativa`) values ('$id_alumno', '$carrera', '$nombre_mencion', '$nombre_nivel', '$pensum', '$materia', '$semestre', '$profesor', '$definitiva', '$recuperacion', '$extraordinaria', '$nota', '$seccion', '$periodo', '$sede', '$annio', '$fecha_ingreso','REGULAR', '$valoracion', '$cualitativa')";
  mysql_query($sql, $conn) or die(mysql_error()); 
 
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar estudiante a acta";
  $script="modificar_acta.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
   
  // Buscar en historial alumnos.  Si no existe agregarlo.
  $sqlHistorial = "SELECT * FROM historial_alumnos WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$periodo'";
  $rstHistorial = mysql_query($sqlHistorial, $conn) or die(mysql_error());
  $rowsHistorial = mysql_num_rows($rstHistorial);
  if($rowsHistorial==0){
     $sql = "insert into `historial_alumnos` (`id_alumno`, `cedula`, `participante`, `sede`, `id_periodo`, `id_carrera`, `nom_carrera`, `fecha`, `annio`) values ('$id_alumno', '$cedula', '$participante','$id_sede', '$periodo', '$id_carrera', '$nom_carrera','$fecha_ingreso', '$annio')";
     mysql_query($sql, $conn) or die(mysql_error());
  }

}


function sql_insert1()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
  
  $id_docente=@$_POST["id_docente"];
  $sql = "update `historico_notas` set `id_docente`='$id_docente' WHERE historico_notas.id_carrera='$carrera' and historico_notas.semestre='$semestre' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo'";
  mysql_query($sql, $conn) or die(mysql_error());
  

   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Asignar docente a acta";
  $script="modificar_acta.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
   
}

function sql_delete($recid)
{
  global $conn;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $id_alumno=@$_POST["xid_alumno"];
    $id=@$_POST["xid"];  
  global $periodo;
  global $carrera;
  global $pensum;
  global $mencion;
  global $semestre;
  global $seccion;
  global $materia;
  global $valoracion;
 

  $sql = "delete from `historico_notas` where id='$id' LIMIT 1";
// Abad rivas santos wilder
  mysql_query($sql, $conn) or die(mysql_error());

  // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Excluir estudiante de acta";
  $script="modificar_acta.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
 

}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ") and ";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ")";
  return $pk;
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}  
	
	
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  

  }   
 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
var patron1= new Array(2,0)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">

function validar_datos()
{
  if(document.form1.nota.value==""){
	alert("El campo <<Nota>> es obligatorio");
	document.form1.nota.focus();
	return false;
	}
	
  if((document.form1.nota.value<1) || (document.form1.nota.value>20)){
	alert("Nota <<"+document.form1.nota.value+">> fuera de rango. \n El rango válido es [1..20]");
	document.form1.nota.focus();
	document.form1.nota.value="";
	return false;
	} 
	
return true;
}

</script>

<script type="text/javascript">

function validar_datos1()
{

 
}

</script>

<script type="text/javascript">
function verificarHistorico(alumno,carrera,materia,profesor,seccion,sede,periodo)
{

	if (alumno!="")
	 {
	 url="validar_historico.php?id_alumno="+alumno+"&id_carrera="+carrera+"&id_materia="+materia+"&profesor="+profesor+"&seccion="+seccion+"&sede="+sede+"&periodo="+periodo;
	 frameHistorico.location=url;
	 }
}
</script>



<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
